
function tinyurl_initOptions(){
	try{
		
		// Load services
		var serviceList = document.getElementById("tinyurl.service");
		var servicePopup = serviceList.getElementsByTagName("menupopup")[0];
		var name, value, item;
		for(value in TinyUrl.services){
			name = TinyUrl.services[value].name;
			
			item = document.createElement("menuitem");
			item.setAttribute("label", name);
			item.setAttribute("value", value);
			
			servicePopup.appendChild(item);
		}
	
		// Select preferences
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
		if(oPrefs.prefHasUserValue("tinyurl.confirmation.hide")){
			document.getElementById("tinyurl.confirmation.hide").checked = oPrefs.getBoolPref("tinyurl.confirmation.hide");
		}
		if(oPrefs.prefHasUserValue("tinyurl.service")){
			serviceList.value = oPrefs.getCharPref("tinyurl.service");
		}
								
	}catch(err){ 	
		alert("An unknown error occurred\n"+ err); 
	}
}

function tinyurl_saveOptions(){
	
	try{
		
		//Save
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");

		oPrefs.setCharPref("tinyurl.service", document.getElementById("tinyurl.service").value);
		oPrefs.setBoolPref("tinyurl.confirmation.hide", document.getElementById("tinyurl.confirmation.hide").checked);
		
	}catch(err){ alert("An unknown error occurred\n"+ err); }
	
	return true;	
}